> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposits

> Retrieve all deposits for the authenticated account. Supports optional filtering by deposit name using the name query parameter. Returns an array of matching deposits.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml GET /v1/deposits/search
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/deposits/search:
    get:
      tags:
        - Deposits
      summary: Get Deposits
      description: >-
        Retrieve all deposits for the authenticated account. Supports optional
        filtering by deposit name using the `name` query parameter. Returns an
        array of matching deposits.
      operationId: DepositController_getDeposits
      parameters:
        - name: name
          in: query
          required: false
          description: >-
            Optional deposit name to filter results by. Multiple deposits may be
            returned as names are not unique.
          schema:
            type: string
        - name: apiKey
          in: query
          required: true
          description: >-
            Your API key, which can be generated from the Helio Dashboard
            settings page.
          schema:
            type: string
      responses:
        '200':
          description: List of deposits retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetDepositsResponse'
              examples:
                depositsList:
                  summary: Example of a successful get deposits response
                  value:
                    - id: 697b6f574e8d5be87822f9de
                      name: testing plasma
                      platform: HELIO
                      notifyReceiverByEmail: false
                      disabled: false
                      connectWalletOptions:
                        isActive: true
                        title: Connect Wallet
                        badge: ''
                      transferManuallyOptions:
                        isActive: true
                        title: Transfer Manually
                        badge: Recommended
                      payWithCardOptions:
                        isActive: true
                        title: Pay with Cash
                        badge: ''
                        hasWhiteListDomain: false
                      createdAt: '2026-01-29T14:31:51.752Z'
                      updatedAt: '2026-01-29T14:31:51.752Z'
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    GetDepositsResponse:
      type: array
      items:
        type: object
        required:
          - id
          - name
          - platform
          - notifyReceiverByEmail
          - disabled
          - connectWalletOptions
          - transferManuallyOptions
          - payWithCardOptions
          - createdAt
          - updatedAt
        properties:
          id:
            type: string
            description: Unique identifier of the deposit configuration.
          name:
            type: string
            description: Human-readable name of the deposit configuration.
          platform:
            type: string
            description: Platform associated with the deposit configuration.
          notifyReceiverByEmail:
            type: boolean
            description: Whether the receiver should be notified by email.
          disabled:
            type: boolean
            description: Indicates whether the deposit configuration is disabled.
          connectWalletOptions:
            type: object
            required:
              - isActive
              - title
              - badge
            properties:
              isActive:
                type: boolean
              title:
                type: string
              badge:
                type: string
          transferManuallyOptions:
            type: object
            required:
              - isActive
              - title
              - badge
            properties:
              isActive:
                type: boolean
              title:
                type: string
              badge:
                type: string
          payWithCardOptions:
            type: object
            required:
              - isActive
              - title
              - badge
              - hasWhiteListDomain
            properties:
              isActive:
                type: boolean
              title:
                type: string
              badge:
                type: string
              hasWhiteListDomain:
                type: boolean
          createdAt:
            type: string
            format: date-time
          updatedAt:
            type: string
            format: date-time
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````